# Interface methods for submodule: TransformFileReaderTemplate
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LightProcessObjectProxy as _LightProcessObjectProxy


# Interface methods for class: TransformFileReaderTemplate
class TransformFileReaderTemplateProxy(_LightProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetFileName(self, _arg) -> None:
		""""""
		...

	@overload
	def SetFileName(self, _arg: str) -> None:
		""""""
		...

	def GetFileName(self):
		""""""
		...

	def Update(self) -> None:
		""""""
		...

	def GetTransformList(self):
		""""""
		...

	def GetModifiableTransformList(self):
		""""""
		...

	def SetTransformIO(self, _arg) -> None:
		""""""
		...

	def GetTransformIO(self):
		""""""
		...

